glutReportErrors(3GLUT)

NAME
glutReportErrors - for debugging purposes; prints out OpenGL run-time errors.

SYNTAX

void glutReportErrors(void);

DESCRIPTION
This routine prints out any OpenGL run-time errors pending and clears the errors. This routine typically should only be used for debugging purposes since calling it will slow OpenGL programs. It is provided as a convenience; all the routine does is call glGetError until no more errors are reported. Any errors detected are reported with a GLUT warning and the corresponding text message generated by gluErrorString. Calling glutReportErrors repeatedly in your program can help isolate OpenGL errors to the offending OpenGL command. Remember that you can use the -gldebug option to detect OpenGL errors in any GLUT program.

SEE ALSO
glutInit, glutCreateWindow, glutInitDisplayMode, gluErrorString, glGetError

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)